Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableTextKerning Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableTextKerning:
[legend]
Collaboration diagram for Magick::DrawableTextKerning:
[legend]

## Public Member Functions
| DrawableTextKerning (double kerning_)
| ~DrawableTextKerning (void)
void | operator() (MagickCore::DrawingWand *context_) const
void | kerning (double kerning_)
double | kerning (void) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 2202 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableTextKerning()

Magick::DrawableTextKerning::DrawableTextKerning | ( | double | kerning_ | ) |

Definition at line 1665 of file Drawable.cpp.

## ◆ ~DrawableTextKerning()

Magick::DrawableTextKerning::~DrawableTextKerning | ( | void |  | ) |

Definition at line 1671 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableTextKerning::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1691 of file Drawable.cpp.

## ◆ kerning() [1/2]

void Magick::DrawableTextKerning::kerning | ( | double | kerning_ | ) |

Definition at line 1681 of file Drawable.cpp.

## ◆ kerning() [2/2]

double Magick::DrawableTextKerning::kerning | ( | void |  | ) | const

Definition at line 1686 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableTextKerning::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1675 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp